<?php


namespace AutoAdmin\Bundle\Content\Entity\Traits;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

trait SequencedTrait
{
    #[ORM\Column(name: 'sequence', type: Types::INTEGER)]
    #[Groups(['default'])]
    protected int $sequence = 0;

    public function getSequence(): int
    {
        return $this->sequence;
    }

    public function setSequence(int $sequence): void
    {
        $this->sequence = $sequence;
    }
}
